%define linc_version 1.0.0
%define orbit2_version 2.6.0
%define libxml2_version 2.4.27
%define glib2_version 2.2.0

Summary: Activation framework for Bonobo component system
Name: bonobo-activation
Version: 2.2.2
Release: 1.2E
URL: http://ftp.gnome.org
Source0: %{name}-%{version}.tar.bz2
Patch0: bonobo-activation-2.2.2-active-servers.patch
License: LGPL
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: libxml2-devel >= %{libxml2_version}
BuildPreReq: ORBit2-devel >= %{orbit2_version}
BuildPreReq: glib2-devel >= %{glib2_version}
BuildPreReq: linc-devel >= %{linc_version}

# this is because some nerd added a symbol to linc (linc_get_tmpdir)
Requires: linc >= 0.5.2

%description

bonobo-activation is a framework for object activation. That is, it 
allows programs to obtain references to Bonobo components.
bonobo-activation launches or loads components and makes them available
to clients.

%package devel
Summary: Libraries and headers for bonobo-activation
Group: Development/Libraries
Requires:	%name = %{version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: glib2-devel >= %{glib2_version}
Conflicts: bonobo-devel < 1.0.8

%description devel

bonobo-activation is a framework for object activation. That is, it 
allows programs to obtain references to Bonobo components.
bonobo-activation launches or loads components and makes them available
to clients.

This package contains header files used to compile programs that 
use bonobo-activation.

%prep
%setup -q
%patch0 -p1 -b .fix-active-server-count

if ! pkg-config --atleast-version=%{glib2_version} glib-2.0; then
  echo "glib-2.0 version is `pkg-config --modversion glib-2.0` which is wrong, build system is confused again"
  exit 1
fi

echo "glib-2.0 version is `pkg-config --modversion glib-2.0`"

%build
%configure

make LIBTOOL=/usr/bin/libtool ## %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_libdir}/bonobo
%{_bindir}/*
%{_libexecdir}/*
%{_sbindir}/*
%dir %{_sysconfdir}/bonobo-activation
%config %{_sysconfdir}/bonobo-activation/*
%{_datadir}/man/man*/*

%files devel
%defattr(-,root,root)

## I don't know why we don't have static libs, but they don't get installed
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/idl
%{_datadir}/gtk-doc

%changelog
* Mon Feb 28 2005 David Malcolm <dmalcolm@redhat.com> - 2.2.2-1.2E
- Added patch to count active servers correctly, fixing a problem preventing clean shutdown (#138144)

* Tue Sep 28 2004 Mark McLoughlin <markmc@redhat.com> 2.2.2-1.1E
- Rebuild to fix multilib conflict with man page

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.2-1
- 2.2.2
- remove two patches now upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-3
- Added patch that fixes disconnects (#82672)

* Thu Feb  6 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-2
- Added patch that fixes per-display registering (#82672)

* Tue Feb  4 2003 Havoc Pennington <hp@redhat.com> 2.2.0-1
- 2.2.0
- put static libs back in file list

* Tue Jan 28 2003 Matt Wilson <msw@redhat.com> 2.1.1-4
- use LIBTOOL=/usr/bin/libtool

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- rebuild and update requires

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 2.1.1-1
- updated to 2.1.1

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.0.90 cvs snap taken Nov 13

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- 2.1.0

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- require linc 0.5.2

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 1.0.3
- clean up "unpackaged files" warnings

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- remove AUTHORS file for rpmlint

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- update libxml2 build requires

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 0.9.9

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 0.9.8

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 0.9.6

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.9.3.92 cvs snap

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild against new packages
- Rebuild for dependencies

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- build system somehow found libglib-1.3.so.11 again, rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 0.9.3.91 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- new snap 0.9.3.90, glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new snap, glib 1.3.10 rebuild
- rebuild due to build system screwing up buildreqs

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- cvs snap 

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- new tarball 0.9.2

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap
- fix typo
- -devel requires orbit2/libxml2

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- conflict with old Bonobo

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- move IDL files to subdir

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- build requires the devel packages, not the runtimes
- temporarily remove IDL files to see if we can work around parallel install breakage

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


